[torqueusers] upgrading to 2.2.1 security violation?

Steve Young chemadm at hamilton.edu
Mon Feb 4 08:32:51 MST 2008


Hello,
	I am trying to upgrade my torque version from 2.0.0p2 to 2.2.1. When  
I try to start up the new server using the old /usr/spool/PBS  
directory I get the following error:


PBS_Server: Permission denied (13) in chk_file_sec, Security  
violation with "/usr/spool/PBS/spool/" - /usr/spool/PBS/spool/ cannot  
be accessed

I can't understand why this is and trying to look through the list  
archives or google searches produces nothing relevant to this sort of  
problem.  All the other files it needs are found. The spool directory  
does in fact exist. When I switch back to the old version it still  
works fine. Any idea's on why it can't seem to see the spool directory?

[root at host]# cd /usr/spool/PBS
[root at host]# ls -l
total 112
drwxr-xr-x   2 root root  4096 Jan  9  2006 aux
drwxr-xr-x   2 root root  4096 Jan  9  2006 checkpoint
drwxr-xr-x   2 root root  4096 Sep  5 09:46 mom_logs
drwxr-xr-x   3 root root  4096 Sep  5 09:46 mom_priv
-rwxr-xr-x   1 root root    36 Dec  1  2005 pbs_environment
drwxr-xr-x   2 root root  4096 Apr 19  2006 sched_logs
drwxr-xr-x   3 root root  4096 Nov 29 15:15 sched_priv
drwxr-xr-x   2 root root 20480 Feb  4 00:00 server_logs
-rwxr-xr-x   1 root root     5 Dec  1  2005 server_name
drwxr-xr-x  13 root root  4096 Feb  4 09:52 server_priv
drwxr-xr-x   2 root root  4096 Sep  5 18:13 spool
drwxr-xr-x   2 root root  4096 Jan  9  2006 undelivered
[root at host]#


I've even tried to make a new /usr/spool/PBS directory and I still  
get the same problem. Maybe someone could elaborate on what the  
security check it is doing?
Thanks,

-Steve



More information about the torqueusers mailing list